org.springframework.data.relational.core.sql

## Interface InsertBuilder.InsertIntoColumnsAndValues

All Superinterfaces:
  InsertBuilder.InsertValues

All Known Subinterfaces:
  InsertBuilder.InsertIntoColumnsAndValuesWithBuild

Enclosing interface:
  InsertBuilder

    public static interface InsertBuilder.InsertIntoColumnsAndValues
    extends InsertBuilder.InsertValues

Interface exposing `WHERE` methods.

### Method Summary

All Methods Instance Methods Abstract Methods
`InsertBuilder.InsertIntoColumnsAndValuesWithBuild` `column(Column column)` Add a `Column` to the `INTO` column list.
`InsertBuilder.InsertIntoColumnsAndValuesWithBuild` `columns(Collection<Column> columns)` Add a one or more `Column` to the `INTO` column list.
`InsertBuilder.InsertIntoColumnsAndValuesWithBuild` `columns(Column... columns)` Add a one or more `Column` to the `INTO` column list.

### Methods inherited from interface org.springframework.data.relational.core.sql.InsertBuilder.InsertValues

`value, values, values`

### Method Detail

#### column

    InsertBuilder.InsertIntoColumnsAndValuesWithBuild column(Column column)

Add a `Column` to the `INTO` column list. Calling this method multiple times will add the `Column` multiple times.

Parameters:
  `column` - the column.
Returns:
  `this` builder.
See Also:
  `Column`

#### columns

    InsertBuilder.InsertIntoColumnsAndValuesWithBuild columns(Column... columns)

Add a one or more `Column` to the `INTO` column list. Calling this method multiple times will add the `Column` multiple times.

Parameters:
  `columns` - the columns.
Returns:
  `this` builder.
See Also:
  `Column`

#### columns

    InsertBuilder.InsertIntoColumnsAndValuesWithBuild columns(Collection<Column> columns)

Add a one or more `Column` to the `INTO` column list. Calling this method multiple times will add the `Column` multiple times.

Parameters:
  `columns` - the columns.
Returns:
  `this` builder.
See Also:
  `Column`